﻿
@{
    ViewBag.Title = "AppointmentView";
    Layout = "~/Views/Shared/_layoutThemeMedicalPress.cshtml";
}



<style>
    .banner {
        background-image: url(/Content/ThemeMedical/images/Banners/banner.jpg);
    }
</style>


     
        <div class="banner clearfix"></div>

        <div class="page-top clearfix">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <h1 class="entry-title">Make an Appointment</h1>
                        <nav class="bread-crumb">
                            <ul class="breadcrumb clearfix"><li><a href="/home/index">Jinnah Hospital</a><span class="divider"></span></li><li class="active">Make an Appointment</li></ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <div class="appoint-page clearfix">
            <div class="container">

                <div class="row">
                    <div class="col-lg-10 col-md-10 col-sm-10 col-lg-offset-1 col-md-offset-1 col-sm-offset-1">
                        <article id="post-188" class=" clearfix post-188 page type-page status-publish hentry">
                            <div class="entry-content">
                                <h2 style="text-align: center;">Make an Appointment</h2>
                                <p style="text-align: center;">Kindly fill the information carefully.</p>
                            </div>
                        </article>
                    </div>
                </div>


                <div class="row">
                    <div class="col-lg-10 col-md-10 col-sm-10 col-lg-offset-1 col-md-offset-1 col-sm-offset-1">
                        <div class="appoint-section clearfix">
                            <div class="top-icon"><img src="http://medicalpress.inspirythemes.biz/wp-content/themes/inspiry-medicalpress/images/appoint-form-top.png" alt="" /></div>
                            <form id="appointment_form_main">

                                <div class="row">
                                    <div class="col-lg-6 col-md-6 col-sm-12 ">
                                        <input type="text" name="name" id="app-name" class="required" placeholder="Name" title="* Please provide your name" />
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-12 ">
                                        <input type="text" name="number" id="app-number" placeholder="Phone Number" title="* Please provide your phone number." />
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-lg-6 col-md-6 col-sm-12 ">
                                        <input type="email" name="email" id="app-email" class="required email" placeholder="Email Address" title="* Please provide a valid email address" />
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-12 ">
                                        <input type="text" name="date" id="datepicker" placeholder="Appointment Date"/  title="* Please provide appointment date">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class=" col-lg-12 col-md-12 col-sm-12">
                                        <textarea name="message" id="app-message" class="required" cols="50" rows="1" placeholder="Message" title="* Please provide your message"></textarea>
                               
                                    </div>
                                </div>


                                <div class="row">
                                    <div class="col-sm-12">
                                        <input type="button" name="Submit" class="btn" value="Submit Request" style="background-color: black;" onclick="SendEmail()"/>
                                    </div>

                                    <div class="col-sm-12">
                                        <div id="message-sent"></div>
                                        <div id="error-container"></div>
                                    </div>

                                </div>

                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </div>

  <script>
    function SendEmail()
    {
        debugger;
        var Name = $('#app-name').val();
        var Phone = $('#app-number').val();
        var Email = $('#app-email').val();
        var Date = $('#datepicker').val();
        var Message = $('#app-message').val();
        $.ajax({
            url: '@Url.Action("SendEmail", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ Name: Name, Phone: Phone, Email: Email, Date: Date, Message: Message }),
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    swal(data.message, "", "success")
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });



    }
</script>